[A103]Company Key Technologies
This report is helpful for determining the organisations' top competencies and to understand which technology areas they have invested in. Assess whether the company is focusing on one broad technology or if they have a diverse portfolio across a number of different technologies. Returns up to the top 10 technology areas.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 2020 | Patent apply date to, format:yyyy |
| string | 2010 | Patent apply date from, format:yyyy |
| string | CN OR EP | Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status. Example: US OR EP |
| string | 华为技术有限公司 | Query the name of a single enterprise |
Required | string | en | Select the language , the default language is en, you can choose cn or en. |
| string | A OR B | Patent application type A:Applications B: Patents U: Utility models D: Designs Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR) |
| string | 2020 | Patent publication date to, format:yyyy |
| string | 2010 | Patent publication date from, format:yyyy |
| string | 1 OR 2 | Patent simple legal status 0-Inactive 1-Active 2-Pending 220-PCT designated stage expired n221-PCT designated stage 999-Undetermined Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR) |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
count | integer<int32> | 172 | Patents |
percentage | number<double> | 0.1543 | Percentage |
description | string | 语音识别(G10L17/00优先)〔7,2013.01〕[2013.01] | IPC Definition |
classification | string | G10L15 | IPC |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
{
"data": [
{
"count": 172,
"percentage": 0.1543,
"description": "语音识别(G10L17/00优先)〔7,2013.01〕[2013.01]",
"classification": "G10L15"
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |